Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.el.lang
Class ELSupport

    java.lang.Object
      org.apache.struts2.el.lang.ELSupport

Direct Known Subclasses:
  SimpleNode

    public class ELSupport

extends Object

A helper class that implements the EL Specification

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
Author:
  Jacob Hookom [jacob@hookom.net]

Constructor Summary
`ELSupport()`

Method Summary
`static void` | `checkType(Object obj, Class type)`
`static Boolean` | `coerceToBoolean(Object obj)`
`static Character` | `coerceToCharacter(Object obj)`
`static Enum` | `coerceToEnum(Object obj, Class type)`
`protected static Number` | `coerceToNumber(Number number, Class type)`
`static Number` | `coerceToNumber(Object obj)`
`static Number` | `coerceToNumber(Object obj, Class type)`
`protected static Number` | `coerceToNumber(String val, Class type)`
`static String` | `coerceToString(Object obj)`
`static Object` | `coerceToType(Object obj, Class type)`
`static int` | `compare(Object obj0, Object obj1)`
`static boolean` | `containsNulls(Object[] obj)`
`static boolean` | `equals(Object obj0, Object obj1)`
`static boolean` | `isBigDecimalOp(Object obj0, Object obj1)`
`static boolean` | `isBigIntegerOp(Object obj0, Object obj1)`
`static boolean` | `isDoubleOp(Object obj0, Object obj1)`
`static boolean` | `isDoubleStringOp(Object obj0, Object obj1)`
`static boolean` | `isLongOp(Object obj0, Object obj1)`
`static boolean` | `isStringFloat(String str)`
`static void` | `throwUnhandled(Object base, Object property)`
`static Number` | `toFloat(String value)`
`static Number` | `toNumber(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELSupport

    public ELSupport()

Method Detail

### throwUnhandled

    public static final void throwUnhandled(Object base,
                                            Object property)
                                     throws javax.el.ELException

  Throws:
    `javax.el.ELException`

### compare

    public static final int compare(Object obj0,
                                    Object obj1)
                             throws javax.el.ELException

  Parameters:
    `obj0` -
    `obj1` -
  Returns:
  Throws:
    `EvaluationException`
    `javax.el.ELException`

### equals

    public static final boolean equals(Object obj0,
                                       Object obj1)
                                throws javax.el.ELException

  Parameters:
    `obj0` -
    `obj1` -
  Returns:
  Throws:
    `EvaluationException`
    `javax.el.ELException`

### coerceToEnum

    public static final Enum coerceToEnum(Object obj,
                                          Class type)

  Parameters:
    `obj` -
    `type` -
  Returns:

### coerceToBoolean

    public static final Boolean coerceToBoolean(Object obj)
                                         throws IllegalArgumentException

  Parameters:
    `obj` -
  Returns:
  Throws:
    `IllegalArgumentException`

### coerceToCharacter

    public static final Character coerceToCharacter(Object obj)
                                             throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### coerceToNumber

    public static final Number coerceToNumber(Object obj)

### coerceToNumber

    protected static final Number coerceToNumber(Number number,
                                                 Class type)
                                          throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### coerceToNumber

    public static final Number coerceToNumber(Object obj,
                                              Class type)
                                       throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### coerceToNumber

    protected static final Number coerceToNumber(String val,
                                                 Class type)
                                          throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### coerceToString

    public static final String coerceToString(Object obj)

  Parameters:
    `obj` -
  Returns:

### checkType

    public static final void checkType(Object obj,
                                       Class type)
                                throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### coerceToType

    public static final Object coerceToType(Object obj,
                                            Class type)
                                     throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### containsNulls

    public static final boolean containsNulls(Object[] obj)

  Parameters:
    `obj` -
  Returns:

### isBigDecimalOp

    public static final boolean isBigDecimalOp(Object obj0,
                                               Object obj1)

### isBigIntegerOp

    public static final boolean isBigIntegerOp(Object obj0,
                                               Object obj1)

### isDoubleOp

    public static final boolean isDoubleOp(Object obj0,
                                           Object obj1)

### isDoubleStringOp

    public static final boolean isDoubleStringOp(Object obj0,
                                                 Object obj1)

### isLongOp

    public static final boolean isLongOp(Object obj0,
                                         Object obj1)

### isStringFloat

    public static final boolean isStringFloat(String str)

### toFloat

    public static final Number toFloat(String value)

### toNumber

    public static final Number toNumber(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.